[svn-commits] tilghman: testsuite/bamboo/trunk r799 - /bamboo/trunk/bin/

SVN commits to the Digium repositories svn-commits at lists.digium.com
Mon Oct 4 15:43:30 CDT 2010


Author: tilghman
Date: Mon Oct  4 15:43:29 2010
New Revision: 799

URL: http://svnview.digium.com/svn/testsuite?view=rev&rev=799
Log:
Save Solaris build script into repository

Added:
    bamboo/trunk/bin/build-asterisk-solaris.sh   (with props)

Added: bamboo/trunk/bin/build-asterisk-solaris.sh
URL: http://svnview.digium.com/svn/testsuite/bamboo/trunk/bin/build-asterisk-solaris.sh?view=auto&rev=799
==============================================================================
--- bamboo/trunk/bin/build-asterisk-solaris.sh (added)
+++ bamboo/trunk/bin/build-asterisk-solaris.sh Mon Oct  4 15:43:29 2010
@@ -1,0 +1,61 @@
+#!/bin/sh
+
+PLAN=$1
+BUILD_DIR=/srv/bamboo/xml-data/build-dir/${PLAN}
+TEST_RESULTS_DIR=${BUILD_DIR}/test-reports
+
+# Environment variables
+LD_LIBRARY_PATH=/opt/sfw/lib:/usr/sfw/lib:/usr/sfw/lib/mysql
+export LD_LIBRARY_PATH
+PATH=$HOME/asterisk-install/sbin:$PATH
+export PATH
+
+set -e
+
+./configure --enable-dev-mode --prefix=$HOME/asterisk-install
+
+gmake uninstall-all
+
+# Build the menuselect utility
+gmake menuselect.makeopts
+menuselect/menuselect --enable TEST_FRAMEWORK --enable-category MENUSELECT_TESTS
+
+gmake
+gmake install
+
+#if [ -f doc/core-en_US.xml ] ; then
+#	echo "*** Validating XML documentation ***"
+#	gmake validate-docs
+#fi
+
+#if [ "${PLAN}" != "AST-TRUNK" ] ; then
+#	exit 0
+#fi
+
+echo "*** Installing Asterisk and Sample Configuration ***"
+WGET_EXTRA_ARGS=--quiet gmake install
+gmake samples
+
+echo "*** Starting Asterisk ***"
+asterisk
+sleep 5
+
+echo "*** Executing Unit Tests ***"
+asterisk -rx "test execute all"
+sleep 5
+
+if [ ! -d ${TEST_RESULTS_DIR} ] ; then
+	echo "Making test results dir '${TEST_RESULTS_DIR}'"
+	mkdir -p ${TEST_RESULTS_DIR}
+fi
+
+echo "*** Generating Unit Test Results Output ***"
+asterisk -rx "test generate results xml ${TEST_RESULTS_DIR}/unit-test-results.xml"
+sleep 5
+
+echo "*** Stopping Asterisk ***"
+asterisk -rx "core stop now"
+
+echo "*** Test Results: ***"
+ls -l ${TEST_RESULTS_DIR}
+cat ${TEST_RESULTS_DIR}/*.xml

Propchange: bamboo/trunk/bin/build-asterisk-solaris.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: bamboo/trunk/bin/build-asterisk-solaris.sh
------------------------------------------------------------------------------
    svn:executable = *

Propchange: bamboo/trunk/bin/build-asterisk-solaris.sh
------------------------------------------------------------------------------
    svn:keywords = Date Author Id Revision Yoyo

Propchange: bamboo/trunk/bin/build-asterisk-solaris.sh
------------------------------------------------------------------------------
    svn:mime-type = text/plain




More information about the svn-commits mailing list